GuideLab API

Set admin viewing organization

Set a cookie to impersonate/view a specific organization's data. Used by platform admins to inspect organization dashboards. Platform admin access required.

POST
/admin/set-viewing-org

Set a cookie to impersonate/view a specific organization's data. Used by platform admins to inspect organization dashboards. Platform admin access required.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/admin/set-viewing-org" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string"  }'
{  "success": true,  "organizationType": "string"}
Empty
Empty
Empty
Empty